Name:           qmt-release 
Version:        1
Release:        7%{?dist}
Summary:        Qmailtoaster Repository setup for CentOS 7

Group:          System Environment/Base 
License:        GPL 
URL:            http://www.qmailtoaster.com/
Packager:	ebroch@whitehorsetc.com

Source0:        qmt.repo
Source1:        qmt-mirrorlist-current
Source2:        qmt-mirrorlist-testing
Source3:        qmt-mirrorlist-development

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:     noarch
Requires:      redhat-release >= %{version} 

Obsoletes: whtc-qmt

%description
Qmailtoaster Repository setup for CentOS 7

%prep
%setup -q  -c -T
install -pm 644 %{SOURCE0} .
install -pm 644 %{SOURCE1} .
install -pm 644 %{SOURCE2} .
install -pm 644 %{SOURCE3} .

%build

%install
rm -rf $RPM_BUILD_ROOT

# yum
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE0} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f "%{_sysconfdir}/yum.repos.d/qmt-current-mirrors" ]
then
   rm -f %{_sysconfdir}/yum.repos.d/qmt-current-mirrors*
fi
if [ -f "%{_sysconfdir}/yum.repos.d/qmt-testing-mirrors" ]
then
   rm -f %{_sysconfdir}/yum.repos.d/qmt-testing-mirrors*
fi
if [ -f "%{_sysconfdir}/yum.repos.d/qmt-devel-mirrors" ]
then
   rm -f %{_sysconfdir}/yum.repos.d/qmt-devel-mirrors*
fi

%files
%defattr(-,root,root,-)
%config /etc/yum.repos.d/*

%changelog
* Thu Sep 27 2018 Eric Broch <ebroch@whitehorsetc.com>: 1-7
- Updated mirror references to be read from internet...easier to maintain
* Thu Sep 27 2018 Eric Broch <ebroch@whitehorsetc.com>: 1-6
- remove cz mirrors
* Tue Sep 25 2018 Eric Broch <ebroch@whitehorsetc.com>: 1-5
- Added Remo Mirror
* Mon Nov 14 2016 Eric Broch <ebroch@whitehorsetc.com>: 1-4
- Added mirror
* Wed Oct 26 2016 Eric C. Broch <ebroch@whitehorsetc.com>: 1-2
- Added mirrorlist to qmt.spec
